Bug 213567 - Access to unmapped vmalloc pages when reading proc/kcore
Access to unmapped vmalloc pages when reading proc/kcore
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Don Howard
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 19:17 EST by Don Howard
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2007-0013
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 05:15:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Don't use vmalloc in proc_file_read(). (898 bytes, patch)
2006-11-01 19:21 EST, Don Howard
no flags Details | Diff

  None (edit)
Description Don Howard 2006-11-01 19:17:55 EST
While testing patches for BZ #14766 I found that 2.1 crashes reliably when more
than one process reads /proc/kcore:

$ while true; do cat /proc/kcore > /tmp/kcore; done&
$ while true; do cat /proc/kcore > /dev/null; done&

Derry, RHEL3, and later don't exhibit this problem.
Comment 1 Don Howard 2006-11-01 19:21:16 EST
Created attachment 140058 [details]
Don't use vmalloc in proc_file_read().
Comment 4 Mike Gahagan 2006-12-19 14:59:19 EST
I couldn't recreate the crash with e.70, however I have verified that the fix is
in as part of linux-2.4.26-updates.patch and that patch is being applied in e.71.

Comment 6 Red Hat Bugzilla 2007-01-17 05:15:16 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0013.html

Note You need to log in before you can comment on or make changes to this bug.